﻿#language: ru

Функционал: Подготовка к созданию задания

Сценарий: Подготовка к созданию задания
	Дано Я подключаюсь под "Цех созревания сыра"
	И В командном интерфейсе я выбираю 'Производство' 'Инвентаризация'
	Тогда открылось окно 'Инвентаризация'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Инвентаризация (создание)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| '12.03.2019/1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" в поле 'Количество факт' я ввожу текст '936,000'
	И в таблице "Товары" в поле 'Количество 1 факт' я ввожу текст '263,000'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| '12.03.2019/2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" в поле 'Количество факт' я ввожу текст '928,000'
	И в таблице "Товары" в поле 'Количество 1 факт' я ввожу текст '213,000'
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Оприходование товаров'
	Тогда открылось окно 'Оприходование товаров (создание) *'
	И я перехожу к закладке "Товары"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Оприходование товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация*'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Инвентаризация'
	И Я закрываю окно 'Инвентаризация'
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Комплектация тары (создание)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я нажимаю кнопку выбора у поля "Тара"
	Тогда открылось окно 'Выбор типа данных'
	И В форме "Выбор типа данных" в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я добавляю новую строку
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| '12.03.2019/1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '112,000'
	И в таблице "Товары" в поле 'Количество 1' я ввожу текст '23,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Комплектация тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Комплектации тар'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Комплектация тары (создание)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я нажимаю кнопку выбора у поля "Тара"
	Тогда открылось окно 'Выбор типа данных'
	И В форме "Выбор типа данных" в таблице "" я перехожу к строке:
		| ''        |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я добавляю новую строку
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| '12.03.2019/2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '102,000'
	И в таблице "Товары" в поле 'Количество 1' я ввожу текст '23,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Комплектация тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Комплектации тар'
	И Я закрываю окно 'Комплектации тар'

Сценарий: Задание на снятие сыра с созревания

	И В командном интерфейсе я выбираю 'Производство' 'Производственные задания'
	Тогда открылось окно 'Производственные задания'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Производственное задание (создание)'
	И в поле "от" я ввожу текущую дату
	И в поле 'Дата смены' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И я перехожу к закладке "Задание"
	И я нажимаю на кнопку "Подобрать по остаткам"
	Тогда открылось окно "Подбор остатков в документы"
	И я нажимаю на кнопку 'Показать отборы'
	И в таблице "Отборы" я перехожу к строке:
		| 'Вид сравнения' | 'Использование' | 'Настройка' |
		| 'В списке'      | 'Да'            | 'Склад'     |
	И в таблице "Отборы" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Подбор остатков в документы'
	И в таблице "Отборы" я перехожу к строке:
		| 'Вид сравнения' | 'Использование' | 'Настройка'      |
		| 'Равно'         | 'Нет'           | 'Характеристика' |
	И в таблице "Отборы" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Подбор остатков в документы'
	И в таблице "Отборы" я завершаю редактирование строки
	И в таблице "Остатки" я перехожу к строке:
		| 'Номенклатура'  |
		| 'Сливочный 45%' |
	И в таблице "Остатки" я нажимаю на кнопку 'Выбрать'
	И в таблице "Остатки" я перехожу к строке:
		| 'Номенклатура'    | 'Серия' |
		| 'Российский 50%' | '12.03.2019/1' |
	И в таблице "Остатки" я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'Перенести в документ'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я перехожу к строке:
		|'N'|
		|'1'|
	И в таблице "Товары" я удаляю текущую строку
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Производственное задание (создание) *' в течение 20 секунд
	Тогда открылось окно 'Производственные задания'
	И Я закрываю окно 'Производственные задания'

Сценарий: 10_milk_scenario.05.005 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT